# how to create an influx admin

- create a config in a docker exec session:

`influx config create --config-name a --host-url http://localhost:8086 --org MY_ORG --token AUTH_TOKEN --active`

- create the user (as a normal member):

`influx user create --name USERNAME --password PASSWORD`

will print the user ID

- list orgs so that you know the org ID:

`influx org list`

- remove the user from the org

`curl -H "Authorization: Token SAME_TOKEN_AS_ABOVE" -XDELETE http://localhost:8086/api/v2/orgs/ORG_ID_FROM_ABOVE/members/USER_ID_FROM_ABOVE`

- add the user as an admin to the org

`curl -H "Authorization: Token SAME_TOKEN_AS_ABOVE" -XPOST -d '{"id": "USER_ID_FROM_ABOVE"}' http://localhost:8086/api/v2/orgs/ORG_ID_FROM_ABOVE/owners`